com.snowflake.client.jdbc

## Class SnowflakeDatabaseMetaDataResultSet

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeBaseResultSet
  - - com.snowflake.client.jdbc.SnowflakeDatabaseMetaDataResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class SnowflakeDatabaseMetaDataResultSet
    extends SnowflakeBaseResultSet

Author:
  jhuang

### Field Summary

Fields
`protected Object[][]` `rows`
`protected ResultSet` `showObjectResultSet`
`protected Statement` `statement`

### Fields inherited from class com.snowflake.client.jdbc.SnowflakeBaseResultSet

`binaryFormatter, dateFormatter, endOfResult, fetchDirection, fetchSize, honorClientTZForTimestampNTZ, nextRow, parameters, resultSetMetaData, resultVersion, row, timeFormatter, timestampLTZFormatter, timestampNTZFormatter, timestampTZFormatter, timeZone, timeZoneUTC, wasNull`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeDatabaseMetaDataResultSet()` Used for creating an empty result set
`SnowflakeDatabaseMetaDataResultSet(List<String> columnNames, List<String> columnTypeNames, List<Integer> columnTypes, Object[][] rows, Statement statement)` DatabaseMetadataResultSet based on a constant rowset.
`SnowflakeDatabaseMetaDataResultSet(List<String> columnNames, List<String> columnTypeNames, List<Integer> columnTypes, ResultSet showObjectResultSet, Statement statement)` DatabaseMetadataResultSet based on result from show command

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `next()`

### Methods inherited from class com.snowflake.client.jdbc.SnowflakeBaseResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getObjectInternal, getRef, getRef, getRow, getRowId, getRowId, getSFTime, getSFTimestamp, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Field Detail

#### showObjectResultSet

    protected ResultSet showObjectResultSet

#### statement

    protected Statement statement

#### rows

    protected Object[][] rows

### Constructor Detail

#### SnowflakeDatabaseMetaDataResultSet

    public SnowflakeDatabaseMetaDataResultSet()

Used for creating an empty result set

#### SnowflakeDatabaseMetaDataResultSet

    public SnowflakeDatabaseMetaDataResultSet(List<String> columnNames,
                                              List<String> columnTypeNames,
                                              List<Integer> columnTypes,
                                              ResultSet showObjectResultSet,
                                              Statement statement)
                                       throws SQLException

DatabaseMetadataResultSet based on result from show command

Parameters:
  `columnNames` - column names
  `columnTypeNames` - column type names
  `columnTypes` - column types
  `showObjectResultSet` - result set after issuing a show command
  `statement` - show command statement
Throws:
  `SQLException` - if failed to construct snowflake database metadata result set

#### SnowflakeDatabaseMetaDataResultSet

    public SnowflakeDatabaseMetaDataResultSet(List<String> columnNames,
                                              List<String> columnTypeNames,
                                              List<Integer> columnTypes,
                                              Object[][] rows,
                                              Statement statement)
                                       throws SQLException

DatabaseMetadataResultSet based on a constant rowset.

Parameters:
  `columnNames` - column name
  `columnTypeNames` - column types name
  `columnTypes` - column type
  `rows` - returned value of database metadata
  `statement` - show command statement
Throws:
  `SQLException` - if failed to construct snowflake database metadata result set

### Method Detail

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Overrides:
  `next` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Overrides:
  `close` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`